﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;

namespace PanelStyleBindingDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }


    public class ChartViewModel
    {
        public ChartViewModel()
        {
            Data = new SimpleDataCollection();
            YAxisViewModel = new
                                 {
                                     LabelSettings =
                                         new AxisLabelSettings {Location = AxisLabelsLocation.OutsideLeft, Extent = 35},
                                         BackgroundBrush = new LinearGradientBrush( Colors.White, Colors.Red, 90d )
                                 };

            BackgroundBrush = new SolidColorBrush(Colors.SeaGreen);
        }

        public SimpleDataCollection Data { get; private set; }
        public object YAxisViewModel { get; private set; }
        public Brush BackgroundBrush { get; private set; }

    }

    // ...
    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            this.Add(new SimpleDataPoint() { Label = "A", Value = 3.0 });
            this.Add(new SimpleDataPoint() { Label = "B", Value = 2.0 });
            this.Add(new SimpleDataPoint() { Label = "C", Value = 3.0 });
            this.Add(new SimpleDataPoint() { Label = "D", Value = 4.0 });
            this.Add(new SimpleDataPoint() { Label = "E", Value = 5.0 });
            this.Add(new SimpleDataPoint() { Label = "F", Value = 6.0 });
            this.Add(new SimpleDataPoint() { Label = "G", Value = 5.0 });

        }
    }
    /// <summary>
    /// Simple storage class for pair of string and double value
    /// </summary>
    public class SimpleDataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }
    }

}
